<template>
    <div class="home-page">
        <div class="home-page__wrapper">
            <div class="home-page__article" v-for="tile in availableTiles" v-bind:class="{'home-page__article-double': tile.type != 'normal'}">
                <ArticleItem :articleIndex=tile.id :isDouble="tile.type != 'normal'"></ArticleItem>
            </div>
        </div>
    </div>
</template>

<script>
import ArticleItem from './ArticleItem.vue';

export default {
    name: 'HomePage',
    created () {
      this.$store.dispatch('loadTiles')
    },
    computed:{
        availableTiles(){
            return this.$store.state.tiles
        }
    },
    components: {
        ArticleItem
    }
};
</script>

<style lang="less" scoped>
.home-page__wrapper{
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
}
.home-page__article{
    padding-bottom: 50%;
    position: relative;
    margin-bottom: 20px;
}
@media (min-width: 480px) {
    .home-page__wrapper{
        flex-direction: row;
        justify-content: space-between;
    }
    .home-page__article{
        flex-basis: 48%;
        padding-bottom: 24%;
    }
    .home-page__article-double{
        flex-basis: 100%;
    }
}
@media (min-width: 1024px) {
    .home-page__article{
        flex-basis: 33%;
        padding-bottom: 16.67%;
    }
    .home-page__article-double{
        flex-basis: 66.5%;
    }
}
.no-flexbox{
    .home-page{
        margin: 0;
    }
    .home-page__article{
        margin: 0 10px 10px;
        width: calc(100% - 20px);
        position: relative;
        padding-bottom: 50%;
        height: 0;
        float: left;
    }
    .home-page__wrapper:after{
        display: table;
        clear: both;
        content: '';
    }
    @media (min-width: 480px) {
        .home-page{
            margin-right: 10px;
            margin-left: 30px;
        }
        .home-page__article{
            margin: 10px 20px 10px 0;
            width: calc((100% - 20px * 2) / 2);
            padding-bottom: 25%;
        }
        .home-page__article-double{
            width: calc(100% - 20px);
        }
    }
    @media (min-width: 1024px) {
        .home-page__article{
            width: calc((100% - 20px * 3) / 3);
            padding-bottom: 16.67%;
        }
        .home-page__article-double{
            width: calc((100% - 20px * 3) / 3 * 2 + 20px);
        }
        .home-page__article:nth-child(3n+3), .home-page__article:last-child {
            float: left;
        }
        .home-page__article + .home-page__article-double {
            margin-right: 20px;
        }
    }
}
</style>
